Subject: Re: [mpls] working group las call on draft-ietf-mpls-return-path-specified-lsp-ping-05.txt

From: Gregory Mirsky <[email-masked]>
Date: Tue, 17 Jul 2012 20:49:22 -0400

Dear Authors, et al.,
Please consider my comments to the document as part of the WG LC:
*       The document is focused on a mechanism to specify return path of LSP Ping Echo Request over LSP. However, LSP Ping can be used over PW VCCV (RFC 5085). Is extension of ability to specify LSP Ping return path in case of PW VCCV within document's scope?
*       LSP Ping Echo Reply is optional hence benefit of using Return Path TLV when bootstrapping BFD session over an LSP is somewhat limited.
*       Section 3. Extensions
"It carries the Forwarding Equivalence Class (FEC) information of the tested LSP ..." Perhaps "of the LSP under test" or "of the LST being tested" will make it clearer whose FEC being used.
*       Section 3.1 Consistent capitalization, e.g. "Reply via specified path" vs. "Reply Via Specified Path".
*       Section 3.1 "The Reply Via Specified Path mode is used to notify the remote LSR receiving the LSP Ping echo request message to send ..." I think that more accurate would be "The Reply Via Specified Path mode is used to request that the remote LSR receiving the LSP Ping echo request message sends ..."
*       Section 3.2 "The Reply Path (RP) TLV is optionally included in an echo request message". Would the following be more accurate "If the Reply Via Specified Path mode requested, the Reply Path (RP) TLV must be included in an echo reply message".
*       Section 3.2 Caption seems misplaced. Presented format, from the accompanying description, is of the Return Path TLV, not of PSN Tunnel sub-TLV.
*       Section 3.2 lists Reply Path return codes but I don't see how these are administered. The field is 2 octets length and only eight values being defined in the document. How remaining 65528 values partitioned and assigned? And I'd suggest to present defined values as u_int16, e.g. 0x0000, 0x0001, etc.
*       Section 3.2. When describing A (Alternative path) flag document refers to non-default return path though what is the default return path is not being defined.
*       Section 3.2, last para. Document states that only one sub-TLV SHOULD be carried in the Reply Path TLV. There are valid scenarios when no sub-TLV is necessary but I don't see any valid scenario hen more than one sub-TLV can be included. Would the following text be used "... not more than one sub-TLV MUST be carried ..." If there are scenarios when more than one sub-TLV can be included into the RP TLV, then there should be explanation of how such situation managed by a receiver of Echo Request, whether there's implicit priorities among multiple sub-TLVs.
*       Section 4,second para. s/which enable/that enable/
*       Section 6.2 AFAIK, values from Vendor Private Use, according to RFC 4379, as to common practice, MUST NOT be allocated. I think it would be better to seek allocation for new sub-TLVs from IANA's Multi-Protocol Label Switching (MPLS) Label Switched Paths (LSPs) Ping Parameters registry for TLVs and sub-TLVs.

        Regards,
                Greg

-------- Original Message --------
Subject: working group las call on
draft-ietf-mpls-return-path-specified-lsp-ping-05.txt
Date: Mon, 09 Jul 2012 17:04:06 +0200
From: Loa Andersson <[email-masked]>
To: [email-masked] <[email-masked]>
CC: [email-masked] <[email-masked]>, [email-masked]
<[email-masked]>, Martin Vigoureux <[email-masked]>

Working Group,

this is to start a working group last call on

draft-ietf-mpls-return-path-specified-lsp-ping-05.txt

Please send your comments to the MPLS wg mailing list ([email-masked]).

This working group last call July 23, 2012.

Please note that there is an IPR disclosure against this draft.

/Loa
for the MPLS working group co-chairs
--

Loa Andersson                         email: [email-masked]
Sr Strategy and Standards Manager            [email-masked]
Ericsson Inc                          phone: +46 10 717 52 13
                                              +46 767 72 92 13

--

Loa Andersson                         email: [email-masked]
Sr Strategy and Standards Manager            [email-masked]
Ericsson Inc                          phone: +46 10 717 52 13
                                              +46 767 72 92 13